menu channel {
  -
  Services
  .chanserv
  ..identify:/chanserv identify # $?="Enter Password" 
  ..-
  ..register #:/chanserv  register # $?="Enter Password" $?="Enter Description" 
  ..drop #:/chanserv  drop #
  ..info #:/chanserv info # 
  ..-
  ..add sop:/chanserv sop # add $?="Enter Nick/Hostmask"
  ..remove sop:/chanserv sop # del $?="Enter #" 
  ..list sop's:/chanserv sop # list 
  ..-
  ..add aop:/chanserv aop # add $?="Enter Nick/Hostmask" 
  ..remove aop:/chanserv aop # del $?="Enter #" 
  ..list aop's:/chanserv aop # list 
  ..-
  ..add akick:/chanserv akick # add $?="Enter Nick/Hostmask" 
  ..remove akick:/chanserv akick # del $?="Enter #" 
  ..akick list:/chanserv akick # list 
  ..-
  ..op/self:/chanserv op # $me 
  ..op/someone:/chanserv op # $?="Enter Nick" 
  ..deop/self:/chanserv deop # - $+ $me 
  ..deop/someone:/chanserv op # - $+ $?="Enter Nick" 
  ..-
  ..unban/self:/chanserv unban $?="Enter Channel" me 
  ..clear/bans:/chanserv unban $?="Enter Channel" all 
  ..-
  ..invite/self:/chanserv invite $?="Enter Channel" 
  ..invite/someone:/chanserv invite $?="Channel" $?="Enter Nick" 
  ..count #:/chanserv count #  
  .-
  .nickserv
  ..register...:/nickserv register $$?="Enter password" $$?="Enter Email"
  ..access...:/nickserv access $$?="add/del/list *@* Mask" 
  ..set...:/nickserv set $$?="Enter command" $$?="Enter value" 
  ..identify...:/nickserv identify $$?="Enter password" 
  ..recover...:/nickserv recover $$?="Enter nick" $$?="Enter password" 
  ..ghost...:/nickserv ghost $$?="Enter nick" $$?="Enter password" 
  ..drop...:/nickserv drop $$?="Enter nick" 
  ..-
  ..release...:/nickserv release $$?="Enter nick" $$?="Enter password" 
  ..info...:/nickserv info $$?="Enter nick" 
  ..acc...:/nickserv acc $$?='Enter nick" 
  .-
  .memoserv (Only on some nets)
  ..list:/memoserv list 
  ..read:/memoserv read $?="Number of Memo" 
  ..del:/memoserv del $?="Number to delete" 
  ..send:/memoserv send $?="The persons Nick" $?="Message"
  .-
  .botmail (Only on some nets)
  ..help:/msg botmail help
  ..send:/msg botmail send $?="The persons Nick" $?="Message"
} 
menu status {
  -
  Services
  .chanserv
  ..identify:/chanserv identify $?="channel" $?="Enter Password" 
  ..-
  ..register #:/chanserv register $?="channel" $?="Enter Password" $?="Enter Description" 
  ..drop #:/chanserv drop $?="channel" 
  ..info #:/chanserv info $?="channel" 
  ..-
  ..add sop:/chanserv sop $?="channel"  add $?="Enter Nick/Hostmask"
  ..remove sop:/chanserv sop $?="channel"  del $?="Enter #" 
  ..list sop's:/chanserv sop $?="channel"  list 
  ..-
  ..add aop:/chanserv aop $?="channel"  add $?="Enter Nick/Hostmask" 
  ..remove aop:/chanserv aop $?="channel"  del $?="Enter #" 
  ..list aop's:/chanserv aop $?="channel"  list 
  ..-
  ..add akick:/chanserv akick $?="channel"  add $?="Enter Nick/Hostmask" 
  ..remove akick:/chanserv akick $?="channel"  del $?="Enter #" 
  ..akick list:/chanserv akick $?="channel"  list 
  ..-
  ..op/someone:/chanserv op $?="channel"  $?="Enter Nick" 
  ..deop/self:/chanserv deop $?="channel"  - $+ $me 
  ..deop/someone:/chanserv deop $?="channel"  - $+ $?="Enter Nick" 
  ..-
  ..unban/self:/chanserv unban $?="Enter Channel" me 
  ..clear/bans:/chanserv unban $?="Enter Channel" all 
  ..-
  ..invite/self:/chanserv invite $?="Enter Channel" 
  ..invite/someone:/chanserv invite $?="Channel" $?="Enter Nick" 
  ..count #:/chanserv count $?="channel"   
  .-
  .nickserv
  ..register...:/nickserv register $$?="Enter password" $$?="Enter Email"
  ..access...:/nickserv access $$?="add/rem/list *!*@* Mask" 
  ..set...:/nickserv set $$?="Enter command" $$?="Enter value" 
  ..identify...:/nickserv identify $$?="Enter password" 
  ..recover...:/nickserv recover $$?="Enter nick" $$?="Enter password" 
  ..ghost...:/nickserv ghost $$?="Enter nick" $$?="Enter password" 
  ..drop...:/nickserv drop $$?="Enter nick" 
  ..-
  ..release...:/nickserv release $$?="Enter nick" $$?="Enter password" 
  ..info...:/nickserv info $$?="Enter nick" 
  ..acc...:/nickserv acc $$?='Enter nick" 
  .-
  .memoserv (Only on some nets)
  ..list:/memoserv list 
  ..read:/memoserv read $?="Number of Memo" 
  ..del:/memoserv del $?="Number to delete" 
  ..send:/memoserv send $?="The persons Nick" $?="Message"
  .-
  .botmail (Only on some nets)
  ..help:/msg botmail help
  ..send:/msg botmail send $?="The persons Nick" $?="Message"
} 
menu nicklist {
  -
  Services
  .chanserv
  ..identify:/chanserv identify # $?="Enter Password" 
  ..-
  ..register this #:/chanserv register # $?="Enter Password" $?="Enter Description" 
  ..drop this #:/chanserv drop #
  ..info #:/chanserv info # 
  ..-
  ..add sop $snick(#,1) :/chanserv sop # add $$1 
  ..remove sop $snick(#,1) :/chanserv sop # del $?="Enter #"  
  ..list sop #:/chanserv sop # list 
  ..-
  ..add aop $snick(#,1) :/chanserv aop # add $$1 
  ..remove aop $snick(#,1) :/chanserv aop # del $?="Enter #" 
  ..list aop #:/chanserv aop # list 
  ..-
  ..add akick #:/chanserv akick # add $$1 
  ..remove akick #:/chanserv akick # del $?="Enter #" 
  ..akick list #:/chanserv akick # list 
  ..-
  ..op self #:/chanserv op # $me 
  ..op someone #:/chanserv op # $$1 
  ..deop self #:/chanserv deop # - $+ $me 
  ..deop someone #:/chanserv op # - $+ $?="Enter Nick" 
  ..-
  ..unban self:/chanserv unban $?="Enter Channel" me 
  ..clears bans #:/chanserv unban $?="Enter Channel" all 
  ..-
  ..invite self:/chanserv invite $?="Enter Channel" 
  ..invite someone:/chanserv invite # $?="Enter Nick" 
  ..count:/chanserv count $$?="Enter channel" 
  .-
  .nickserv
  ..register...:/nickserv register $$?="Enter password" $$?="Enter Email"
  ..access...:/nickserv access $$?="!*!*@* MAsk" 
  ..set...:/nickserv set $$?="Enter command" $$?="Enter value"  
  ..identify...:/nickserv identify $$?="Enter password" 
  ..recover...:/nickserv recover $$?="Enter nick" $$?="Enter password" 
  ..ghost...:/nickserv ghost $$?="Enter nick" $$?="Enter password" 
  ..drop...:/nickserv drop $$?="Enter nick" 
  ..-
  ..release:/nickserv release $$?="Enter nick" $$?="Enter password" 
  ..info:/nickserv info $1 
  ..acc:/nickserv acc $$?='Enter nick" 
}
